package org.activemq.ra;

import junit.framework.TestCase;
import EDU.oswego.cs.dl.util.concurrent.SynchronizedBoolean;

/**
 */
public class CircularQueueTest extends TestCase {



    public void testStoppping() throws Exception {
        SynchronizedBoolean stopping = new SynchronizedBoolean(false);
        CircularQueue queue = new CircularQueue(10, stopping);
        for (int i = 0; i < 10; i++) {
            queue.returnObject(new Object());
        }
        stopping.set(true);
        int i=0;

        queue.drain();
    }

}
